const l = {
  classes: {
    wrapper: ({ props: r }) => {
      const e = [];
      return r.disabled && e.push("cursor-not-allowed"), e;
    },
    input: "w-[calc(100%+0.5rem)] -ml-1 disabled:cursor-not-allowed",
    track: "h-1.5 bg-secondary-200 dark:bg-secondary-700 rounded-md overflow-hidden",
    progress: "h-full bg-[color:var(--x-slider-bg)]"
  },
  styles: ({ props: r, colors: e, css: s }) => {
    const o = e.getPalette(r.color);
    return s.variables({
      bg: o[400]
    });
  }
}, a = l;
export {
  a as default
};
